Bug 691574 - Fix Coverity error handling issues
Summary: Fix Coverity error handling issues
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: 389
Classification: Retired
Component: Directory Server
Version: 1.2.8
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: ---
Assignee: Nathan Kinder
QA Contact: Chandrasekar Kannan
URL:
Whiteboard:
Depends On:
Blocks: 690319
TreeView+ depends on / blocked
 
Reported: 2011-03-28 20:53 UTC by Nathan Kinder
Modified: 2015-01-04 23:47 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-05-17 14:08:45 UTC


Attachments (Terms of Use)
Patch for cov#10579 (2.20 KB, patch)
2011-03-28 20:55 UTC, Nathan Kinder
nhosoi: review+
Details | Diff
Patch for cov#10577 (1.43 KB, patch)
2011-03-28 21:11 UTC, Nathan Kinder
nhosoi: review+
Details | Diff
Patch for cov#10573 (1.00 KB, patch)
2011-03-28 21:29 UTC, Nathan Kinder
nhosoi: review+
Details | Diff
Patch for cov#10575 (1.16 KB, patch)
2011-03-28 21:44 UTC, Nathan Kinder
nhosoi: review+
Details | Diff

Description Nathan Kinder 2011-03-28 20:53:17 UTC
A recent run of Coverity found a handful of error handling issues that we should fix.

Comment 1 Nathan Kinder 2011-03-28 20:55:08 UTC
Created attachment 488262 [details]
Patch for cov#10579

Comment 2 Nathan Kinder 2011-03-28 21:11:06 UTC
Created attachment 488270 [details]
Patch for cov#10577

Comment 3 Nathan Kinder 2011-03-28 21:29:25 UTC
Created attachment 488279 [details]
Patch for cov#10573

Comment 4 Nathan Kinder 2011-03-28 21:44:12 UTC
Created attachment 488280 [details]
Patch for cov#10575

Comment 5 Nathan Kinder 2011-03-28 21:55:03 UTC
Pushed patches to master.  Thanks to Noriko for her reviews!

Counting objects: 39, done.
Delta compression using up to 2 threads.
Compressing objects: 100% (27/27), done.
Writing objects: 100% (27/27), 2.99 KiB, done.
Total 27 (delta 19), reused 0 (delta 0)
To ssh://git.fedorahosted.org/git/389/ds.git
   d91cd63..03a6bb7  master -> master

Comment 6 Nathan Kinder 2011-03-29 15:44:57 UTC
The patch for cov#10573 had an extra paren.  Made the following change to fix it:

  /*
   * The requestor may be either the bind dn or a proxy dn
   */
- if ((proxyauth_get_dn( pb, &proxydn, &errtext ) == LDAP_SUCCESS) && ( proxydn != NULL )) {
+ if ((proxyauth_get_dn( pb, &proxydn, &errtext ) == LDAP_SUCCESS) && ( proxydn != NULL ))
  {
          requestor_sdn = slapi_sdn_new_dn_passin ( proxydn );
  }


Pushed to master:

Counting objects: 13, done.
Delta compression using up to 2 threads.
Compressing objects: 100% (7/7), done.
Writing objects: 100% (7/7), 659 bytes, done.
Total 7 (delta 5), reused 0 (delta 0)
To ssh://git.fedorahosted.org/git/389/ds.git
   03a6bb7..0699244  master -> master

Comment 7 Amita Sharma 2011-05-13 06:58:18 UTC
Coverity Related, Can I request dev to please test this.


Note You need to log in before you can comment on or make changes to this bug.